Retrieving Merchant API Credentials (Beta)
Disclaimer
Beta-stage product |
|---|
This solution is in the beta stage and therefore considered a Beta-stage product. It is clarified that if there are any faults and/or issues, it will not affect your obligation to provide us with the requested and accurate information and documentation. This information should be delivered with no dependency on the stability and performance of the product. If the product is not working as expected, you should use any other alternative to fulfill your obligations as described above. |
Introduction
This topic describes an endpoint that enables a Rapyd partner to view the API credentials of a merchant that is managed by that partner.
Access to this information is restricted to qualified personnel of a Rapyd partner.
Nota
The credentials must be used only in connection with the merchant's Rapyd account.
The
access_keyand thesecret_keymust be guarded carefully and shared only with persons who have a valid business use for them.The
access_keyand thesecret_keymust be transmitted only through secure means. The credentials give the user full control over the merchant's account.
Server URL: https://api.rapyd.net
Atención
The credentials give the user full control over the merchant's account.
Include Headers
All requests must include the following headers:
Field Name | Type | Description |
|---|---|---|
| String | Unique access key provided by Rapyd for each authorized user. Required. For more information, see Developers. |
| String | Indicates that the data appears in JSON format. Required. Set to |
| String | A unique string to protect against duplicate transactions. Optional. For more information, see Idempotency. |
| String | Salt for the request signature. A random string for each request. Recommended length: 8-16 digits, letters and special characters. Required. |
| String | Signature calculated for each message individually. Required. For REST requests, see Request Signatures. For webhooks, see Webhook Authentication. |
| String | The time of the request, in Unix time (seconds). Required. |
Run the Get Merchant API Credentials Request
Retrieve the API credentials of a merchant.
Endpoint: GET {base_url}/v1/organization/partner/merchants/{merchant_org_id}/api-keys
Path parameters:
Field Name | Type | Description |
|---|---|---|
| String | ID of the merchant. Must be a merchant that was created by the partner. UUID or string starting with |
Request
curl -X GET https://api.rapyd.net/v1/partner/merchants/8w77c564-320d-4368-b0cf-b9ad50ff78f4/api-keys \ -H 'access_key: your-access-key-here' \ -H 'Content-Type: application/json' \ -H 'idempotency: your-idempotency-parameter-here' \ -H 'salt: your-random-string-here' \ -H 'signature: your-calculated-signature-here' \ -H 'timestamp: your-unix-timestamp-here'
Response
{ "status": { "error_code": "", "status": "SUCCESS", "message": "", "response_code": "", "operation_id": "a6686175-f15d-4c94-9400-51367ad20855" }, "data": { "merchant_org_id": "8w77c564-320d-4368-b0cf-b9ad50ff78f4", "credentials": { "access_key": "rak_1398B4065D7251966BF2", "secret_key": "rsk_908dzd3bb8e3393b25040dfe715697e96e9ffc6ef4dcw31c3535b49e6460f0fa8df7f161cd2c84d8" }, "retrieved_at": 1778485691 } }
Response parameters:
Field Name | Type | Description |
|---|---|---|
| String | UUID of the merchant. |
| Object | Contains the following strings: - - |
| String | Unix timestamp (seconds). |